%define name soundtracker
%define version 0.6.6
%define release 3mdk

Summary: 	Sound modules editor/player
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Group: 		Sound
License: 	GPL
Url: 		http://www.soundtracker.org/
Source: 	%name-%version.tar.bz2
Patch0: 	soundtracker-remove-chown.patch.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	libgtk+1.2-devel

%description
Soundtracker is a module tracker for the X Window System similar to the DOS
program `FastTracker'. Soundtracker is based on the XM file format. The user
interface makes use of GTK+, and, optionally, GNOME.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%patch0 -p0

%build
automake
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %{name}

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/soundtracker"\
title="Soundtracker"\
longtitle="A module tracker"\
needs="x11"\
icon="sound_section.png"\
section="Multimedia/Sound"
EOF
)
 
%post
%{update_menus}
 
%postun
%{clean_menus}


%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc ABOUT-NLS FAQ NEWS TODO README ChangeLog
%_bindir/soundtracker
%_menudir/*
%_datadir/gnome/apps/Multimedia/soundtracker.desktop
%_datadir/%name

%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-3mdk
- fix buildrequires

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-2mdk
- rebuild

* Mon May 20 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6.6-1mdk
- call automake before the configure macro
- new version
- autoconf 2.5 macro

* Mon Apr 29 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.6.4-3mdk
- rebuild for new alsa

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.4-2mdk
- Fix menu entry

* Tue Aug 28 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.4-1mdk
- 0.6.4

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- updated by Gtz Waschk <waschk@linux-mandrake.com> :
	- 0.6.3
	- use language file list from %%find_lang macro

* Thu Jan 04 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- updated to 0.6.2
- fix files section

* Mon Sep 18 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.5.7-2mdk
- menu

* Tue Aug 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.7-1mdk
- 0.5.7

* Tue Nov 30 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
